% RA: fotografia.in
% Ninguna buena persona es aficionada a la fotografía
% Departamento de Ciencias de la Computación e Inteligencia Artificial
% Universidad de Sevilla
%==============================================================================


%==============================================================================
% Enunciado
%==============================================================================

% Formalizar en OTTER la siguiente argumentación y comprobar su validez:
% "Sólo las buenas personas ayudan a los pobres. Ninguna buena persona es
% aficionada a la fotografía. Antonio ayuda a Juan y es aficionado a la
% fotografía. Luego Juan no es pobre."

%==============================================================================
% Formalización
%==============================================================================

% Configuración del sistema

set(auto2).

% Lenguaje del problema

% Constantes:

% Propiedades:

% Relaciones:

formula_list(sos).
  all x y (ayuda(x,y) & pobre(y) -> buenaPersona(x)).
  all x (buenaPersona(x) -> -aficionadoFotografia(x)).
  ayuda(Antonio,Juan).
  aficionadoFotografia(Antonio).
  pobre(Juan).
end_of_list.

%==============================================================================
